import request from '@/utils/request'

// 教职工管理列表
export function getStaffListApi(query) {
    return request({
        url: '/sc/staff/ht/list',
        method: 'get',
        params: query
    })
}
// 教职工管理-新增
export function addStaffApi(data) {
    return request({
        url: '/sc/staff/ht',
        method: 'post',
        data: data
    }) 
}
// 教职工管理-编辑
export function updateStaffApi(data) {
    return request({
        url: '/sc/staff/ht',
        method: 'put',
        data: data
    })
}
// 教职工管理-删除
export function deleteStaffApi(ids) {
    return request({
        url: `/sc/staff/ht/${ids}`,
        method: 'delete',
    })
}